Package name.pachler.nio.file.impl

# Class Unix.timespec

java.lang.Object
name.pachler.nio.file.impl.Unix.timespec

Enclosing class:
  `Unix`

public static class Unix.timespec extends Object

## Constructor Summary

Constructors
Constructor
Description
`timespec()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`finalize()`
`long`
`get_tv_nsec()`
`long`
`get_tv_sec()`
`void`
`set(long tv_sec, long tv_nsec)`
`void`
`set_tv_nsec(long tv_nsec)`
`void`
`set_tv_sec(long tv_sec)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### timespec

public timespec()

## Method Details

### finalize

protected void finalize() throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

### get_tv_sec

public long get_tv_sec()

### get_tv_nsec

public long get_tv_nsec()

### set_tv_sec

public void set_tv_sec(long tv_sec)

### set_tv_nsec

public void set_tv_nsec(long tv_nsec)

### set

public void set(long tv_sec, long tv_nsec)